<template>
  <footer class="bg-dark-blue">
    <div class="container">
      <div class="pt-6 md:flex md:pt-12 md:pb-10 footer-top">
        <div class="md:w-3/12 text-28px font-medium">
          <div class="text-white leading-140">Hello, we are</div>
          <div class="text-green-spring leading-none">ThinkView.</div>
        </div>
        <div
          v-for="link in MenuLinks"
          :key="'link' + link.id"
          class="md:w-2/12"
        >
          <div
            class="text-2xl text-white leading-140 font-medium mb-3 hover:text-green-spring"
          >
            {{ link.name }}
          </div>
          <div
            v-if="link.children.length > 0"
            class="text-light-gray text-sm leading-150 hidden md:block"
          >
            <ul class="space-y-3">
              <li
                v-for="child in link.children"
                :key="'child' + child.id"
                class="hover:text-green-spring"
              >
                <a href="#">{{ child.name }}</a>
              </li>
              <li
                class="text-gray-medium hover:text-green-spring leading-none font-medium text-xs"
              >
                <a href="#" class="flex items-center">
                  <span>Tất cả</span>
                  <svg-icon name="arrow-right" class="w-2 h-2 ml-1"></svg-icon>
                </a>
              </li>
            </ul>
          </div>
        </div>
      </div>
    </div>
    <div
      class="copyright border-t border-solid border-white border-opacity-15 pt-6 pb-8"
    >
      <div class="container block md:flex md:items-center">
        <div class="block md:flex items-center">
          <div
            class="text-white text-xs leading-140 space-x-6 flex items-center"
          >
            <a class="hover:text-green-spring" href="#">Về chúng tôi</a>
            <a class="hover:text-green-spring" href="#">Liên hệ</a>
          </div>
          <div
            class="text-white text-xs flex items-center mb-10 mt-6 md:mb-0 md:mt-0 md:space-x-6 md:pl-6 md:ml-6 md:border-l border-solid border-gray"
          >
            <div class="text-gray-medium hidden md:inline-block">Follow us</div>
            <div>
              <ul class="flex items-center space-x-6">
                <li v-for="social in socials" :key="'social' + social.name">
                  <a href="#" class="flex items-center hover:text-green-spring">
                    <svg-icon
                      :name="social.icon"
                      class="w-4 h-4 mr-2"
                    ></svg-icon>
                    <span class="hidden md:inline-block">
                      {{ social.name }}
                    </span>
                  </a>
                </li>
              </ul>
            </div>
          </div>
        </div>
        <div class="md:ml-auto text-gray-medium text-xs leading-140">
          Phát triển bởi đội ngũ ThinkView, bằng cả con tim.
        </div>
      </div>
    </div>
  </footer>
</template>
<script>
export default {
  name: 'TheFooter',
  props: {
    logo: {
      type: Boolean,
      default: true
    }
  },
  data() {
    return {
      socials: [
        {
          name: 'Facebook',
          icon: 'icon-facebook',
          url: ''
        },
        {
          name: 'Youtube',
          icon: 'icon-youtube',
          url: ''
        },
        {
          name: 'Instagram',
          icon: 'icon-instagram',
          url: ''
        },
        {
          name: 'Twitter',
          icon: 'icon-twitter',
          url: ''
        },
        {
          name: 'hello@thinkview.vn',
          icon: 'icon-mail',
          url: ''
        }
      ]
    }
  },
  computed: {
    MenuLinks() {
      return this.$store.getters.MainMenu
    }
  }
}
</script>
